import { TemplateRef } from '@angular/core';
import { DayTemplateContext } from '@ng-bootstrap/ng-bootstrap/datepicker/datepicker-day-template-context';
import { NgbDate, NgbCalendar } from '@ng-bootstrap/ng-bootstrap';
export declare class DayComponent {
    private calendar;
    defaultDayTemplate: TemplateRef<DayTemplateContext>;
    highlightWeekend: boolean;
    constructor(calendar: NgbCalendar);
    isDisabled: (date: NgbDate, current: {
        month: number;
        year: number;
    }) => boolean;
    isWeekend: (date: NgbDate) => boolean;
}
